summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author powtrix2014-05-13 01:41:13 +0200
committer Willy Sudiarto Raharjo2014-05-13 04:44:52 +0200
commit66de22d951e07e8dfa0978ecf3417c4ef00ccd12 (patch)
treecee2e5154f38dcab5757918300b8523a7e76ceb4
parentcca768c3937163a9f9ea9116c5eab2a23907c53e (diff)
downloadslackbuilds-66de22d951e07e8dfa0978ecf3417c4ef00ccd12.tar.gz
games/dice: Added (Discrete Integrated Circuit Emulator).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--games/dice/README4
-rw-r--r--games/dice/dice.SlackBuild64
-rw-r--r--games/dice/dice.info10
-rw-r--r--games/dice/slack-desc19
4 files changed, 97 insertions, 0 deletions
diff --git a/games/dice/README b/games/dice/README
new file mode 100644
index 0000000000..dea964aca2
--- /dev/null
+++ b/games/dice/README
@@ -0,0 +1,4 @@
+DICE - Discrete Integrated Circuit Emulator
+
+It emulates computer systems that lack any type of CPU, consisting only of
+discrete logic components.
diff --git a/games/dice/dice.SlackBuild b/games/dice/dice.SlackBuild
new file mode 100644
index 0000000000..070e24d3ed
--- /dev/null
+++ b/games/dice/dice.SlackBuild
@@ -0,0 +1,64 @@
+#!/bin/sh
+
+# Slackware build script for dice
+# Written by powtrix (@gmail.com)
+
+PRGNAM=dice
+VERSION=${VERSION:-0.9}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG $TMP/$PRGNAM-$VERSION
+mkdir -p $TMP $PKG $OUTPUT $TMP/$PRGNAM-$VERSION
+cd $TMP/$PRGNAM-$VERSION
+unzip $CWD/$PRGNAM.$VERSION.src.zip
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 771 -o -perm 555 -o -perm 551 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+sed -i "s,-O3,${SLKCFLAGS},g" Makefile
+make
+
+mkdir -p $PKG/usr/bin
+cp -a dice $PKG/usr/bin
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a README.txt LICENSE.txt $PKG/usr/doc/$PRGNAM-$VERSION
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/games/dice/dice.info b/games/dice/dice.info
new file mode 100644
index 0000000000..1a0537f31d
--- /dev/null
+++ b/games/dice/dice.info
@@ -0,0 +1,10 @@
+PRGNAM="dice"
+VERSION="0.9"
+HOMEPAGE="http://adamulation.blogspot.com/"
+DOWNLOAD="http://sourceforge.net/projects/dice/files/DICE/DICE%200.9/dice.0.9.src.zip"
+MD5SUM="7cf6b3a33c4c569828060eca4dd2494a"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="powtrix"
+EMAIL="powtrix@gmail.com"
diff --git a/games/dice/slack-desc b/games/dice/slack-desc
new file mode 100644
index 0000000000..712f14ce21
--- /dev/null
+++ b/games/dice/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+dice: dice (Discrete Integrated Circuit Emulator)
+dice:
+dice: It emulates computer systems that lack any type of CPU,
+dice: consisting only of discrete logic components.
+dice:
+dice:
+dice: Home page: http://adamulation.blogspot.com/
+dice:
+dice:
+dice:
+dice: